'use strict';

var jsxRuntime = require('react/jsx-runtime');
var nextjs = require('@clerk/nextjs');

// Legacy page generators (for backward compatibility)
function createSignInPage() {
    return function SignInPage() {
        return (jsxRuntime.jsx("div", { className: "flex-1 flex justify-center m-16", children: jsxRuntime.jsx(nextjs.SignIn, {}) }));
    };
}
function createSignUpPage() {
    return function SignUpPage() {
        return (jsxRuntime.jsx("div", { className: "flex-1 flex justify-center m-16", children: jsxRuntime.jsx(nextjs.SignUp, {}) }));
    };
}
function createWaitlistPage() {
    return function WaitlistPage() {
        return (jsxRuntime.jsx("div", { className: "flex-1 flex justify-center m-16", children: jsxRuntime.jsx(nextjs.Waitlist, {}) }));
    };
}

exports.createSignInPage = createSignInPage;
exports.createSignUpPage = createSignUpPage;
exports.createWaitlistPage = createWaitlistPage;
